be.ehealth.technicalconnector.exception

## Class UnsealConnectorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - be.ehealth.technicalconnector.exception.ConnectorException
      - - be.ehealth.technicalconnector.exception.TechnicalConnectorException
        - - be.ehealth.technicalconnector.exception.UnsealConnectorException

- All Implemented Interfaces:
    Serializable

      public class UnsealConnectorException
      extends TechnicalConnectorException

  Exception class for Unseal connector exceptions.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsealConnectorException(UnsealConnectorExceptionValues errorCodeValue, be.fgov.ehealth.etee.crypto.status.CryptoResult<?> result, Object... params)` Creates a new UnsealConnectorException.
    `UnsealConnectorException(UnsealConnectorExceptionValues errorCodeValue, Throwable e, Object... params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `be.fgov.ehealth.etee.crypto.status.CryptoResult<?>` | `getUnsealResult()`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

      `getCategory`

    - ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

      `getErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsealConnectorException

          public UnsealConnectorException(UnsealConnectorExceptionValues errorCodeValue,
                                          be.fgov.ehealth.etee.crypto.status.CryptoResult<?> result,
                                          Object... params)

      Creates a new UnsealConnectorException.
      Parameters:
        `errorCodeValue` - an entry from UnsealConnectorExceptionValues enumeration
        `result` - the unseal result
        `params` - the strings that complete the errorCodeValue message

    - #### UnsealConnectorException

          public UnsealConnectorException(UnsealConnectorExceptionValues errorCodeValue,
                                          Throwable e,
                                          Object... params)

      Parameters:
        `errorCodeValue` - an entry from UnsealConnectorExceptionValues enumeration
        `e` - the initial exception
        `params` - the strings that complete the errorCodeValue message

  - ### Method Detail

    - #### getUnsealResult

          public final be.fgov.ehealth.etee.crypto.status.CryptoResult<?> getUnsealResult()

      Returns:
        the result

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.